package com.qmth.distributed.print.business.activiti;

import org.activiti.engine.delegate.DelegateTask;
import org.activiti.engine.delegate.TaskListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * @Description: 任务监听
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/7/15
 */
public class MyTask2Listener implements TaskListener {
    private final static Logger log = LoggerFactory.getLogger(MyTask2Listener.class);

    @Override
    public void notify(DelegateTask delegateTask) {
        log.info("delegateTask.getEventName():{}", delegateTask.getEventName());
        //添加会签的人员，一人通过即可进入下一环节
        delegateTask.addCandidateUsers(Arrays.asList("王总", "赵总"));
    }
}
