package com.qmth.distributed.print.business.activiti;

import org.activiti.engine.delegate.DelegateTask;
import org.activiti.engine.delegate.TaskListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * @Description: 任务监听
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/7/15
 */
public class MyTask1Listener implements TaskListener {
    private final static Logger log = LoggerFactory.getLogger(MyTask1Listener.class);

    @Override
    public void notify(DelegateTask delegateTask) {
        log.info("delegateTask.getEventName():{}", delegateTask.getEventName());
        //添加会签的人员，所有的都审批通过才可进入下一环节
        delegateTask.setVariable("assigneeList", Arrays.asList("张三", "李四"));
    }
}
