package com.qmth.distributed.print.business.activiti;

import org.activiti.engine.delegate.DelegateTask;
import org.activiti.engine.delegate.TaskListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @Description: 任务监听
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/7/15
 */
public class MyTaskListener implements TaskListener {
    private final static Logger log = LoggerFactory.getLogger(MyTaskListener.class);

    @Override
    public void notify(DelegateTask delegateTask) {
        log.info("delegateTask.getEventName():{}", delegateTask.getEventName());
        delegateTask.setAssignee("test123");
    }
}
